# connection-restapi-client-poc
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0
- Package version: 24.0.4.0518
- Generator version: 7.8.0-SNAPSHOT
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import connection_restapi_client_poc
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import connection_restapi_client_poc
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import connection_restapi_client_poc
from connection_restapi_client_poc.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = connection_restapi_client_poc.Configuration(
    host = "http://localhost"
)



# Enter a context with an instance of the API client
with connection_restapi_client_poc.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = connection_restapi_client_poc.CalculationApi(api_client)
    project_id = 'project_id_example' # str | 
    idea_stati_ca_plugin_api_connection_rest_model_model_connection_con_calculation_parameter_idea_stati_ca_plugin = connection_restapi_client_poc.IdeaStatiCaPluginApiConnectionRestModelModelConnectionConCalculationParameterIdeaStatiCaPlugin() # IdeaStatiCaPluginApiConnectionRestModelModelConnectionConCalculationParameterIdeaStatiCaPlugin |  (optional)

    try:
        api_response = api_instance.api1_projects_project_id_calculate_post(project_id, idea_stati_ca_plugin_api_connection_rest_model_model_connection_con_calculation_parameter_idea_stati_ca_plugin=idea_stati_ca_plugin_api_connection_rest_model_model_connection_con_calculation_parameter_idea_stati_ca_plugin)
        print("The response of CalculationApi->api1_projects_project_id_calculate_post:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling CalculationApi->api1_projects_project_id_calculate_post: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*CalculationApi* | [**api1_projects_project_id_calculate_post**](docs/CalculationApi.md#api1_projects_project_id_calculate_post) | **POST** /api/1/projects/{projectId}/calculate | 
*CalculationApi* | [**api1_projects_project_id_rawresults_post**](docs/CalculationApi.md#api1_projects_project_id_rawresults_post) | **POST** /api/1/projects/{projectId}/rawresults | Get raw CBFEM results (an instance of CheckResultsData)
*CalculationApi* | [**api1_projects_project_id_rawresults_text_post**](docs/CalculationApi.md#api1_projects_project_id_rawresults_text_post) | **POST** /api/1/projects/{projectId}/rawresults-text | Get json string which represents raw CBFEM results (an instance of CheckResultsData)
*CalculationApi* | [**api1_projects_project_id_results_post**](docs/CalculationApi.md#api1_projects_project_id_results_post) | **POST** /api/1/projects/{projectId}/results | 
*ConnectionApi* | [**api1_projects_project_id_connections_connection_id_get**](docs/ConnectionApi.md#api1_projects_project_id_connections_connection_id_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId} | 
*ConnectionApi* | [**api1_projects_project_id_connections_connection_id_missing_welds_get**](docs/ConnectionApi.md#api1_projects_project_id_connections_connection_id_missing_welds_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/missing-welds | 
*ConnectionApi* | [**api1_projects_project_id_connections_connection_id_operations_delete**](docs/ConnectionApi.md#api1_projects_project_id_connections_connection_id_operations_delete) | **DELETE** /api/1/projects/{projectId}/connections/{connectionId}/operations | 
*ConnectionApi* | [**api1_projects_project_id_connections_connection_id_operations_get**](docs/ConnectionApi.md#api1_projects_project_id_connections_connection_id_operations_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/operations | 
*ConnectionApi* | [**api1_projects_project_id_connections_connection_id_production_cost_get**](docs/ConnectionApi.md#api1_projects_project_id_connections_connection_id_production_cost_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/production-cost | 
*ConnectionApi* | [**api1_projects_project_id_connections_connection_id_put**](docs/ConnectionApi.md#api1_projects_project_id_connections_connection_id_put) | **PUT** /api/1/projects/{projectId}/connections/{connectionId} | 
*ConnectionApi* | [**api1_projects_project_id_connections_get**](docs/ConnectionApi.md#api1_projects_project_id_connections_get) | **GET** /api/1/projects/{projectId}/connections | 
*ExportApi* | [**api1_projects_project_id_connections_connection_id_export_ifc_get**](docs/ExportApi.md#api1_projects_project_id_connections_connection_id_export_ifc_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/export-ifc | 
*ExportApi* | [**api1_projects_project_id_connections_connection_id_export_iom_connection_data_get**](docs/ExportApi.md#api1_projects_project_id_connections_connection_id_export_iom_connection_data_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/export-iom-connection-data | 
*ExportApi* | [**api1_projects_project_id_connections_connection_id_export_iom_get**](docs/ExportApi.md#api1_projects_project_id_connections_connection_id_export_iom_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/export-iom | 
*LoadEffectApi* | [**api1_projects_project_id_connections_connection_id_load_effects_get**](docs/LoadEffectApi.md#api1_projects_project_id_connections_connection_id_load_effects_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/load-effects | 
*LoadEffectApi* | [**api1_projects_project_id_connections_connection_id_load_effects_load_effect_id_delete**](docs/LoadEffectApi.md#api1_projects_project_id_connections_connection_id_load_effects_load_effect_id_delete) | **DELETE** /api/1/projects/{projectId}/connections/{connectionId}/load-effects/{loadEffectId} | 
*LoadEffectApi* | [**api1_projects_project_id_connections_connection_id_load_effects_load_effect_id_get**](docs/LoadEffectApi.md#api1_projects_project_id_connections_connection_id_load_effects_load_effect_id_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/load-effects/{loadEffectId} | 
*LoadEffectApi* | [**api1_projects_project_id_connections_connection_id_load_effects_load_effect_id_put**](docs/LoadEffectApi.md#api1_projects_project_id_connections_connection_id_load_effects_load_effect_id_put) | **PUT** /api/1/projects/{projectId}/connections/{connectionId}/load-effects/{loadEffectId} | 
*LoadEffectApi* | [**api1_projects_project_id_connections_connection_id_load_effects_post**](docs/LoadEffectApi.md#api1_projects_project_id_connections_connection_id_load_effects_post) | **POST** /api/1/projects/{projectId}/connections/{connectionId}/load-effects | 
*MemberApi* | [**api1_projects_project_id_connections_connection_id_members_get**](docs/MemberApi.md#api1_projects_project_id_connections_connection_id_members_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/members | 
*MemberApi* | [**api1_projects_project_id_connections_connection_id_members_member_id_get**](docs/MemberApi.md#api1_projects_project_id_connections_connection_id_members_member_id_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/members/{memberId} | 
*MemberApi* | [**api1_projects_project_id_connections_connection_id_members_member_id_put**](docs/MemberApi.md#api1_projects_project_id_connections_connection_id_members_member_id_put) | **PUT** /api/1/projects/{projectId}/connections/{connectionId}/members/{memberId} | 
*ParameterApi* | [**api1_projects_project_id_connections_connection_id_evaluate_expression_post**](docs/ParameterApi.md#api1_projects_project_id_connections_connection_id_evaluate_expression_post) | **POST** /api/1/projects/{projectId}/connections/{connectionId}/evaluate-expression | 
*ParameterApi* | [**api1_projects_project_id_connections_connection_id_parameters_get**](docs/ParameterApi.md#api1_projects_project_id_connections_connection_id_parameters_get) | **GET** /api/1/projects/{projectId}/connections/{connectionId}/parameters | 
*ParameterApi* | [**api1_projects_project_id_connections_connection_id_parameters_put**](docs/ParameterApi.md#api1_projects_project_id_connections_connection_id_parameters_put) | **PUT** /api/1/projects/{projectId}/connections/{connectionId}/parameters | 
*ProjectApi* | [**api1_connect_client_get**](docs/ProjectApi.md#api1_connect_client_get) | **GET** /api/1/connect-client | 
*ProjectApi* | [**api1_projects_get**](docs/ProjectApi.md#api1_projects_get) | **GET** /api/1/projects | 
*ProjectApi* | [**api1_projects_import_iom_file_post**](docs/ProjectApi.md#api1_projects_import_iom_file_post) | **POST** /api/1/projects/import-iom-file | Creates an IDEA Connection project based on OpenModelContainer (model and results)
*ProjectApi* | [**api1_projects_import_iom_post**](docs/ProjectApi.md#api1_projects_import_iom_post) | **POST** /api/1/projects/import-iom | Creates an IDEA Connection project based on OpenModelContainer (model and results)
*ProjectApi* | [**api1_projects_open_post**](docs/ProjectApi.md#api1_projects_open_post) | **POST** /api/1/projects/open | 
*ProjectApi* | [**api1_projects_project_id_close_get**](docs/ProjectApi.md#api1_projects_project_id_close_get) | **GET** /api/1/projects/{projectId}/close | 
*ProjectApi* | [**api1_projects_project_id_connection_setup_get**](docs/ProjectApi.md#api1_projects_project_id_connection_setup_get) | **GET** /api/1/projects/{projectId}/connection-setup | 
*ProjectApi* | [**api1_projects_project_id_connection_setup_put**](docs/ProjectApi.md#api1_projects_project_id_connection_setup_put) | **PUT** /api/1/projects/{projectId}/connection-setup | 
*ProjectApi* | [**api1_projects_project_id_download_get**](docs/ProjectApi.md#api1_projects_project_id_download_get) | **GET** /api/1/projects/{projectId}/download | 
*ProjectApi* | [**api1_projects_project_id_project_data_get**](docs/ProjectApi.md#api1_projects_project_id_project_data_get) | **GET** /api/1/projects/{projectId}/project-data | 
*ProjectApi* | [**api1_projects_project_id_update_iom_file_post**](docs/ProjectApi.md#api1_projects_project_id_update_iom_file_post) | **POST** /api/1/projects/{projectId}/update-iom-file | Update an IDEA Connection project based on OpenModelContainer (model and results)
*ProjectApi* | [**api1_projects_project_id_update_iom_post**](docs/ProjectApi.md#api1_projects_project_id_update_iom_post) | **POST** /api/1/projects/{projectId}/update-iom | Update an IDEA Connection project based on OpenModelContainer (model and results)
*TemplateApi* | [**api1_projects_project_id_connections_connection_id_apply_mapping_post**](docs/TemplateApi.md#api1_projects_project_id_connections_connection_id_apply_mapping_post) | **POST** /api/1/projects/{projectId}/connections/{connectionId}/apply-mapping | Get the default mappings for the application of the connection template passed in conTemplateGetParam  on connectionId in the project projectId
*TemplateApi* | [**api1_projects_project_id_connections_connection_id_apply_template_post**](docs/TemplateApi.md#api1_projects_project_id_connections_connection_id_apply_template_post) | **POST** /api/1/projects/{projectId}/connections/{connectionId}/apply-template | 


## Documentation For Models

 - [CIConnectionsDataAutoDesignBoltCoordinateSystemCIBasicTypes](docs/CIConnectionsDataAutoDesignBoltCoordinateSystemCIBasicTypes.md)
 - [CIConnectionsDataAutoDesignInternalShearForcesCIBasicTypes](docs/CIConnectionsDataAutoDesignInternalShearForcesCIBasicTypes.md)
 - [CIConnectionsDataAutoDesignShearForcesInShearPlanesCIBasicTypes](docs/CIConnectionsDataAutoDesignShearForcesInShearPlanesCIBasicTypes.md)
 - [CIConnectionsDataDetailingDetailingChecksBoltCIBasicTypes](docs/CIConnectionsDataDetailingDetailingChecksBoltCIBasicTypes.md)
 - [CIConnectionsDataDetailingDetailingChecksPinCIBasicTypes](docs/CIConnectionsDataDetailingDetailingChecksPinCIBasicTypes.md)
 - [CIConnectionsDataDetailingDetailingChecksWeldCIBasicTypes](docs/CIConnectionsDataDetailingDetailingChecksWeldCIBasicTypes.md)
 - [CIConnectionsDataDetailingIDetailingCheckCIBasicTypes](docs/CIConnectionsDataDetailingIDetailingCheckCIBasicTypes.md)
 - [CIGeometry2DIPolyLine2DCIBasicTypes](docs/CIGeometry2DIPolyLine2DCIBasicTypes.md)
 - [CIGeometry2DIRegion2DCIBasicTypes](docs/CIGeometry2DIRegion2DCIBasicTypes.md)
 - [CIGeometry2DISegment2DCIBasicTypes](docs/CIGeometry2DISegment2DCIBasicTypes.md)
 - [CIGeometry2DIdaComPoint2DCIBasicTypes](docs/CIGeometry2DIdaComPoint2DCIBasicTypes.md)
 - [CIGeometry3DVector3DCIBasicTypes](docs/CIGeometry3DVector3DCIBasicTypes.md)
 - [CIGiCL2DPath2DSegmentCIGeometry2D](docs/CIGiCL2DPath2DSegmentCIGeometry2D.md)
 - [CIGiCL2DPoint2DCIGeometry2D](docs/CIGiCL2DPoint2DCIGeometry2D.md)
 - [ConModelerConnectionPlugInAnalysisCheckResDataIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInAnalysisCheckResDataIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInBasePlateShearCheckResDataIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInBasePlateShearCheckResDataIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInBoltCheckResDataIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInBoltCheckResDataIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInBoltCheckResDataInfoIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInBoltCheckResDataInfoIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInBoltCheckResDataTimberIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInBoltCheckResDataTimberIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInBucklingCheckDataIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInBucklingCheckDataIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInCheckResultsDataIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInCheckResultsDataIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInConcreteBlockCheckResDataIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInConcreteBlockCheckResDataIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInDataContractCostEstimationDataCostEstimationItemBoltIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInDataContractCostEstimationDataCostEstimationItemBoltIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInDataContractCostEstimationDataCostEstimationItemSteelIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInDataContractCostEstimationDataCostEstimationItemSteelIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInDataContractCostEstimationDataCostEstimationItemWeldIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInDataContractCostEstimationDataCostEstimationItemWeldIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInDataContractCostEstimationDataCostEstimationResultsIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInDataContractCostEstimationDataCostEstimationResultsIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInFatigueBoltCheckResDataIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInFatigueBoltCheckResDataIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInFatigueCheckResDataIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInFatigueCheckResDataIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInLoadEffectDataIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInLoadEffectDataIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInPinCheckResDataIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInPinCheckResDataIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInPlateCheckLocalDeformationIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInPlateCheckLocalDeformationIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInPlateCheckResDataIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInPlateCheckResDataIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInPlateCheckResDataInfoIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInPlateCheckResDataInfoIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInProjectCheckResDataIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInProjectCheckResDataIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInStiffnessChekDataIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInStiffnessChekDataIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInStiffnessChekDataLoadComponentIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInStiffnessChekDataLoadComponentIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInSummaryCheckResDataContextIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInSummaryCheckResDataContextIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInSummaryCheckResDataIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInSummaryCheckResDataIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInSummaryCheckResDataMessageContextIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInSummaryCheckResDataMessageContextIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInWeldCheckResDataIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInWeldCheckResDataIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInWeldCheckResDataInfoIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInWeldCheckResDataInfoIdeaStatiCaConnectionChecks.md)
 - [ConModelerConnectionPlugInWeldDataLoadLevelIdeaStatiCaConnectionChecks](docs/ConModelerConnectionPlugInWeldDataLoadLevelIdeaStatiCaConnectionChecks.md)
 - [IdeaRSCommonParametersParameterDataCIBasicTypes](docs/IdeaRSCommonParametersParameterDataCIBasicTypes.md)
 - [IdeaRSCommonParametersValidationTypeCIBasicTypes](docs/IdeaRSCommonParametersValidationTypeCIBasicTypes.md)
 - [IdeaRSConnectionCalculatorFireDesignFireTemperatureCalculationDataIdeaRSConnectionCalculator](docs/IdeaRSConnectionCalculatorFireDesignFireTemperatureCalculationDataIdeaRSConnectionCalculator.md)
 - [IdeaRSConnectionsDataAnchorTypeCIBasicTypes](docs/IdeaRSConnectionsDataAnchorTypeCIBasicTypes.md)
 - [IdeaRSConnectionsDataBasePlateContactTypeCIBasicTypes](docs/IdeaRSConnectionsDataBasePlateContactTypeCIBasicTypes.md)
 - [IdeaRSConnectionsDataBoltShearTypeCIBasicTypes](docs/IdeaRSConnectionsDataBoltShearTypeCIBasicTypes.md)
 - [IdeaRSConnectionsDataEPurposeIdeaRSConnections](docs/IdeaRSConnectionsDataEPurposeIdeaRSConnections.md)
 - [IdeaRSConnectionsDataShearForceTransferMethodsCIBasicTypes](docs/IdeaRSConnectionsDataShearForceTransferMethodsCIBasicTypes.md)
 - [IdeaRSConnectionsDataThinPlateValidityCIBasicTypes](docs/IdeaRSConnectionsDataThinPlateValidityCIBasicTypes.md)
 - [IdeaRSConnectionsDataThinPlateValidityCriterionCIBasicTypes](docs/IdeaRSConnectionsDataThinPlateValidityCriterionCIBasicTypes.md)
 - [IdeaRSConnectionsDataWeldTypeCodeCIBasicTypes](docs/IdeaRSConnectionsDataWeldTypeCodeCIBasicTypes.md)
 - [IdeaRSOpenModelConcreteCheckSectionIdeaRSOpenModel](docs/IdeaRSOpenModelConcreteCheckSectionIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConcreteConcreteSetupIdeaRSOpenModel](docs/IdeaRSOpenModelConcreteConcreteSetupIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConeBreakoutCheckTypeIdeaRSOpenModel](docs/IdeaRSOpenModelConeBreakoutCheckTypeIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionAnchorGridIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionAnchorGridIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionBeamDataIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionBeamDataIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionBendDataIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionBendDataIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionBoltGridIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionBoltGridIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionBucklingResIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionBucklingResIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionCheckResAnchorIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionCheckResAnchorIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionCheckResBoltIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionCheckResBoltIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionCheckResConcreteBlockIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionCheckResConcreteBlockIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionCheckResPlateIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionCheckResPlateIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionCheckResSummaryIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionCheckResSummaryIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionCheckResWeldIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionCheckResWeldIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionConcreteBlockDataIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionConcreteBlockDataIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionConcreteBlockIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionConcreteBlockIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionConnectionCheckResIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionConnectionCheckResIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionConnectionDataIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionConnectionDataIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionConnectionPointIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionConnectionPointIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionCutBeamByBeamDataIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionCutBeamByBeamDataIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionCutDataIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionCutDataIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionCutMethodIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionCutMethodIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionCutOrientationIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionCutOrientationIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionCutPartIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionCutPartIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionDistanceComparisonIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionDistanceComparisonIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionFoldedPlateDataIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionFoldedPlateDataIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionPlateDataIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionPlateDataIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionSetupIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionSetupIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionWeldDataIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionWeldDataIdeaRSOpenModel.md)
 - [IdeaRSOpenModelConnectionWeldTypeIdeaRSOpenModel](docs/IdeaRSOpenModelConnectionWeldTypeIdeaRSOpenModel.md)
 - [IdeaRSOpenModelCrossSectionCrossSectionIdeaRSOpenModel](docs/IdeaRSOpenModelCrossSectionCrossSectionIdeaRSOpenModel.md)
 - [IdeaRSOpenModelCrossSectionReinforcedCrossSectionIdeaRSOpenModel](docs/IdeaRSOpenModelCrossSectionReinforcedCrossSectionIdeaRSOpenModel.md)
 - [IdeaRSOpenModelCrtCompCheckISIdeaRSOpenModel](docs/IdeaRSOpenModelCrtCompCheckISIdeaRSOpenModel.md)
 - [IdeaRSOpenModelDetailAnchor3DIdeaRSOpenModel](docs/IdeaRSOpenModelDetailAnchor3DIdeaRSOpenModel.md)
 - [IdeaRSOpenModelDetailBasePlate3DIdeaRSOpenModel](docs/IdeaRSOpenModelDetailBasePlate3DIdeaRSOpenModel.md)
 - [IdeaRSOpenModelDetailBeamIdeaRSOpenModel](docs/IdeaRSOpenModelDetailBeamIdeaRSOpenModel.md)
 - [IdeaRSOpenModelDetailDappedEndIdeaRSOpenModel](docs/IdeaRSOpenModelDetailDappedEndIdeaRSOpenModel.md)
 - [IdeaRSOpenModelDetailISDModelIdeaRSOpenModel](docs/IdeaRSOpenModelDetailISDModelIdeaRSOpenModel.md)
 - [IdeaRSOpenModelDetailLoadingDetailCombinationIdeaRSOpenModel](docs/IdeaRSOpenModelDetailLoadingDetailCombinationIdeaRSOpenModel.md)
 - [IdeaRSOpenModelDetailLoadingDetailLoadCaseIdeaRSOpenModel](docs/IdeaRSOpenModelDetailLoadingDetailLoadCaseIdeaRSOpenModel.md)
 - [IdeaRSOpenModelDetailOpeningIdeaRSOpenModel](docs/IdeaRSOpenModelDetailOpeningIdeaRSOpenModel.md)
 - [IdeaRSOpenModelDetailPatchDeviceIdeaRSOpenModel](docs/IdeaRSOpenModelDetailPatchDeviceIdeaRSOpenModel.md)
 - [IdeaRSOpenModelDetailReinforcementIdeaRSOpenModel](docs/IdeaRSOpenModelDetailReinforcementIdeaRSOpenModel.md)
 - [IdeaRSOpenModelDetailSolidBlock3DIdeaRSOpenModel](docs/IdeaRSOpenModelDetailSolidBlock3DIdeaRSOpenModel.md)
 - [IdeaRSOpenModelDetailSurfaceSupport3DIdeaRSOpenModel](docs/IdeaRSOpenModelDetailSurfaceSupport3DIdeaRSOpenModel.md)
 - [IdeaRSOpenModelDetailWallIdeaRSOpenModel](docs/IdeaRSOpenModelDetailWallIdeaRSOpenModel.md)
 - [IdeaRSOpenModelGeometry2DPoint2DIdeaRSOpenModel](docs/IdeaRSOpenModelGeometry2DPoint2DIdeaRSOpenModel.md)
 - [IdeaRSOpenModelGeometry2DPolyLine2DIdeaRSOpenModel](docs/IdeaRSOpenModelGeometry2DPolyLine2DIdeaRSOpenModel.md)
 - [IdeaRSOpenModelGeometry2DRegion2DIdeaRSOpenModel](docs/IdeaRSOpenModelGeometry2DRegion2DIdeaRSOpenModel.md)
 - [IdeaRSOpenModelGeometry2DSegment2DIdeaRSOpenModel](docs/IdeaRSOpenModelGeometry2DSegment2DIdeaRSOpenModel.md)
 - [IdeaRSOpenModelGeometry3DArcSegment3DIdeaRSOpenModel](docs/IdeaRSOpenModelGeometry3DArcSegment3DIdeaRSOpenModel.md)
 - [IdeaRSOpenModelGeometry3DLineSegment3DIdeaRSOpenModel](docs/IdeaRSOpenModelGeometry3DLineSegment3DIdeaRSOpenModel.md)
 - [IdeaRSOpenModelGeometry3DPoint3DIdeaRSOpenModel](docs/IdeaRSOpenModelGeometry3DPoint3DIdeaRSOpenModel.md)
 - [IdeaRSOpenModelGeometry3DPointOnLine3DIdeaRSOpenModel](docs/IdeaRSOpenModelGeometry3DPointOnLine3DIdeaRSOpenModel.md)
 - [IdeaRSOpenModelGeometry3DPolyLine3DIdeaRSOpenModel](docs/IdeaRSOpenModelGeometry3DPolyLine3DIdeaRSOpenModel.md)
 - [IdeaRSOpenModelGeometry3DRegion3DIdeaRSOpenModel](docs/IdeaRSOpenModelGeometry3DRegion3DIdeaRSOpenModel.md)
 - [IdeaRSOpenModelGeometry3DVector3DIdeaRSOpenModel](docs/IdeaRSOpenModelGeometry3DVector3DIdeaRSOpenModel.md)
 - [IdeaRSOpenModelLoadingCombiInputIdeaRSOpenModel](docs/IdeaRSOpenModelLoadingCombiInputIdeaRSOpenModel.md)
 - [IdeaRSOpenModelLoadingLoadCaseIdeaRSOpenModel](docs/IdeaRSOpenModelLoadingLoadCaseIdeaRSOpenModel.md)
 - [IdeaRSOpenModelLoadingLoadGroupIdeaRSOpenModel](docs/IdeaRSOpenModelLoadingLoadGroupIdeaRSOpenModel.md)
 - [IdeaRSOpenModelLoadingLoadInPointIdeaRSOpenModel](docs/IdeaRSOpenModelLoadingLoadInPointIdeaRSOpenModel.md)
 - [IdeaRSOpenModelLoadingLoadOnLineIdeaRSOpenModel](docs/IdeaRSOpenModelLoadingLoadOnLineIdeaRSOpenModel.md)
 - [IdeaRSOpenModelLoadingLoadOnSurfaceIdeaRSOpenModel](docs/IdeaRSOpenModelLoadingLoadOnSurfaceIdeaRSOpenModel.md)
 - [IdeaRSOpenModelLoadingPointLoadOnLineIdeaRSOpenModel](docs/IdeaRSOpenModelLoadingPointLoadOnLineIdeaRSOpenModel.md)
 - [IdeaRSOpenModelLoadingResultClassIdeaRSOpenModel](docs/IdeaRSOpenModelLoadingResultClassIdeaRSOpenModel.md)
 - [IdeaRSOpenModelLoadingSettlementIdeaRSOpenModel](docs/IdeaRSOpenModelLoadingSettlementIdeaRSOpenModel.md)
 - [IdeaRSOpenModelLoadingStrainLoadOnLineIdeaRSOpenModel](docs/IdeaRSOpenModelLoadingStrainLoadOnLineIdeaRSOpenModel.md)
 - [IdeaRSOpenModelLoadingTemperatureLoadOnLineIdeaRSOpenModel](docs/IdeaRSOpenModelLoadingTemperatureLoadOnLineIdeaRSOpenModel.md)
 - [IdeaRSOpenModelMaterialMatConcreteIdeaRSOpenModel](docs/IdeaRSOpenModelMaterialMatConcreteIdeaRSOpenModel.md)
 - [IdeaRSOpenModelMaterialMatPrestressSteelIdeaRSOpenModel](docs/IdeaRSOpenModelMaterialMatPrestressSteelIdeaRSOpenModel.md)
 - [IdeaRSOpenModelMaterialMatReinforcementIdeaRSOpenModel](docs/IdeaRSOpenModelMaterialMatReinforcementIdeaRSOpenModel.md)
 - [IdeaRSOpenModelMaterialMatSteelIdeaRSOpenModel](docs/IdeaRSOpenModelMaterialMatSteelIdeaRSOpenModel.md)
 - [IdeaRSOpenModelMaterialMatWeldingIdeaRSOpenModel](docs/IdeaRSOpenModelMaterialMatWeldingIdeaRSOpenModel.md)
 - [IdeaRSOpenModelMessageMessageNumberIdeaRSOpenModel](docs/IdeaRSOpenModelMessageMessageNumberIdeaRSOpenModel.md)
 - [IdeaRSOpenModelMessageOpenMessageIdeaRSOpenModel](docs/IdeaRSOpenModelMessageOpenMessageIdeaRSOpenModel.md)
 - [IdeaRSOpenModelMessageOpenMessagesIdeaRSOpenModel](docs/IdeaRSOpenModelMessageOpenMessagesIdeaRSOpenModel.md)
 - [IdeaRSOpenModelModelCheckMemberIdeaRSOpenModel](docs/IdeaRSOpenModelModelCheckMemberIdeaRSOpenModel.md)
 - [IdeaRSOpenModelModelDesignMemberIdeaRSOpenModel](docs/IdeaRSOpenModelModelDesignMemberIdeaRSOpenModel.md)
 - [IdeaRSOpenModelModelElement1DIdeaRSOpenModel](docs/IdeaRSOpenModelModelElement1DIdeaRSOpenModel.md)
 - [IdeaRSOpenModelModelElement2DIdeaRSOpenModel](docs/IdeaRSOpenModelModelElement2DIdeaRSOpenModel.md)
 - [IdeaRSOpenModelModelHingeElement1DIdeaRSOpenModel](docs/IdeaRSOpenModelModelHingeElement1DIdeaRSOpenModel.md)
 - [IdeaRSOpenModelModelInitialImperfectionOfPointIdeaRSOpenModel](docs/IdeaRSOpenModelModelInitialImperfectionOfPointIdeaRSOpenModel.md)
 - [IdeaRSOpenModelModelLineSupportSegmentIdeaRSOpenModel](docs/IdeaRSOpenModelModelLineSupportSegmentIdeaRSOpenModel.md)
 - [IdeaRSOpenModelModelMember1DIdeaRSOpenModel](docs/IdeaRSOpenModelModelMember1DIdeaRSOpenModel.md)
 - [IdeaRSOpenModelModelMember2DIdeaRSOpenModel](docs/IdeaRSOpenModelModelMember2DIdeaRSOpenModel.md)
 - [IdeaRSOpenModelModelPointSupportNodeIdeaRSOpenModel](docs/IdeaRSOpenModelModelPointSupportNodeIdeaRSOpenModel.md)
 - [IdeaRSOpenModelModelRebarGeneralIdeaRSOpenModel](docs/IdeaRSOpenModelModelRebarGeneralIdeaRSOpenModel.md)
 - [IdeaRSOpenModelModelRebarShapeIdeaRSOpenModel](docs/IdeaRSOpenModelModelRebarShapeIdeaRSOpenModel.md)
 - [IdeaRSOpenModelModelRebarSingleIdeaRSOpenModel](docs/IdeaRSOpenModelModelRebarSingleIdeaRSOpenModel.md)
 - [IdeaRSOpenModelModelRebarStirrupsIdeaRSOpenModel](docs/IdeaRSOpenModelModelRebarStirrupsIdeaRSOpenModel.md)
 - [IdeaRSOpenModelModelRigidLinkIdeaRSOpenModel](docs/IdeaRSOpenModelModelRigidLinkIdeaRSOpenModel.md)
 - [IdeaRSOpenModelModelSpanIdeaRSOpenModel](docs/IdeaRSOpenModelModelSpanIdeaRSOpenModel.md)
 - [IdeaRSOpenModelModelSubStructureIdeaRSOpenModel](docs/IdeaRSOpenModelModelSubStructureIdeaRSOpenModel.md)
 - [IdeaRSOpenModelModelTaperIdeaRSOpenModel](docs/IdeaRSOpenModelModelTaperIdeaRSOpenModel.md)
 - [IdeaRSOpenModelModelTendonIdeaRSOpenModel](docs/IdeaRSOpenModelModelTendonIdeaRSOpenModel.md)
 - [IdeaRSOpenModelOpenElementIdIdeaRSOpenModel](docs/IdeaRSOpenModelOpenElementIdIdeaRSOpenModel.md)
 - [IdeaRSOpenModelOpenModelContainerIdeaRSOpenModel](docs/IdeaRSOpenModelOpenModelContainerIdeaRSOpenModel.md)
 - [IdeaRSOpenModelOpenModelIdeaRSOpenModel](docs/IdeaRSOpenModelOpenModelIdeaRSOpenModel.md)
 - [IdeaRSOpenModelParametersAnchorTypeIdeaRSOpenModel](docs/IdeaRSOpenModelParametersAnchorTypeIdeaRSOpenModel.md)
 - [IdeaRSOpenModelParametersBoltShearTypeIdeaRSOpenModel](docs/IdeaRSOpenModelParametersBoltShearTypeIdeaRSOpenModel.md)
 - [IdeaRSOpenModelReferenceElementIdeaRSOpenModel](docs/IdeaRSOpenModelReferenceElementIdeaRSOpenModel.md)
 - [IdeaRSOpenModelResultLoadingIdeaRSOpenModel](docs/IdeaRSOpenModelResultLoadingIdeaRSOpenModel.md)
 - [IdeaRSOpenModelResultLoadingTypeIdeaRSOpenModel](docs/IdeaRSOpenModelResultLoadingTypeIdeaRSOpenModel.md)
 - [IdeaRSOpenModelResultMemberIdeaRSOpenModel](docs/IdeaRSOpenModelResultMemberIdeaRSOpenModel.md)
 - [IdeaRSOpenModelResultMemberTypeIdeaRSOpenModel](docs/IdeaRSOpenModelResultMemberTypeIdeaRSOpenModel.md)
 - [IdeaRSOpenModelResultOpenModelResultIdeaRSOpenModel](docs/IdeaRSOpenModelResultOpenModelResultIdeaRSOpenModel.md)
 - [IdeaRSOpenModelResultResultLocalSystemTypeIdeaRSOpenModel](docs/IdeaRSOpenModelResultResultLocalSystemTypeIdeaRSOpenModel.md)
 - [IdeaRSOpenModelResultResultOnMemberIdeaRSOpenModel](docs/IdeaRSOpenModelResultResultOnMemberIdeaRSOpenModel.md)
 - [IdeaRSOpenModelResultResultOnMembersIdeaRSOpenModel](docs/IdeaRSOpenModelResultResultOnMembersIdeaRSOpenModel.md)
 - [IdeaRSOpenModelResultResultTypeIdeaRSOpenModel](docs/IdeaRSOpenModelResultResultTypeIdeaRSOpenModel.md)
 - [IdeaRSOpenModelWeldEvaluationIdeaRSOpenModel](docs/IdeaRSOpenModelWeldEvaluationIdeaRSOpenModel.md)
 - [IdeaRSWsLibCssServiceAmericanSubcodeCIBasicTypes](docs/IdeaRSWsLibCssServiceAmericanSubcodeCIBasicTypes.md)
 - [IdeaRSWsLibCssServiceCodeTypeCIBasicTypes](docs/IdeaRSWsLibCssServiceCodeTypeCIBasicTypes.md)
 - [IdeaStatiCaConnectionBasicTypesDataAnchorTensileCalculationAUSCIBasicTypes](docs/IdeaStatiCaConnectionBasicTypesDataAnchorTensileCalculationAUSCIBasicTypes.md)
 - [IdeaStatiCaConnectionBasicTypesDataCheckOutcomeCIBasicTypes](docs/IdeaStatiCaConnectionBasicTypesDataCheckOutcomeCIBasicTypes.md)
 - [IdeaStatiCaConnectionBasicTypesDataConeBreakoutCheckTypeCIBasicTypes](docs/IdeaStatiCaConnectionBasicTypesDataConeBreakoutCheckTypeCIBasicTypes.md)
 - [IdeaStatiCaConnectionBasicTypesDataCrtCompCheckISCIBasicTypes](docs/IdeaStatiCaConnectionBasicTypesDataCrtCompCheckISCIBasicTypes.md)
 - [IdeaStatiCaConnectionBasicTypesDataDetailingCheckCategoryCIBasicTypes](docs/IdeaStatiCaConnectionBasicTypesDataDetailingCheckCategoryCIBasicTypes.md)
 - [IdeaStatiCaConnectionBasicTypesDataDetailingCheckTypeCIBasicTypes](docs/IdeaStatiCaConnectionBasicTypesDataDetailingCheckTypeCIBasicTypes.md)
 - [IdeaStatiCaConnectionBasicTypesDataThreadTypeCIBasicTypes](docs/IdeaStatiCaConnectionBasicTypesDataThreadTypeCIBasicTypes.md)
 - [IdeaStatiCaConnectionBasicTypesDataWeldCheckMethodHKCIBasicTypes](docs/IdeaStatiCaConnectionBasicTypesDataWeldCheckMethodHKCIBasicTypes.md)
 - [IdeaStatiCaConnectionBasicTypesDataWeldPositionSNIPCIBasicTypes](docs/IdeaStatiCaConnectionBasicTypesDataWeldPositionSNIPCIBasicTypes.md)
 - [IdeaStatiCaConnectionBasicTypesDataWeldingTypeSNIPCIBasicTypes](docs/IdeaStatiCaConnectionBasicTypesDataWeldingTypeSNIPCIBasicTypes.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelConnectionConAnalysisTypeEnumIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelConnectionConAnalysisTypeEnumIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelConnectionConCalculationParameterIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelConnectionConCalculationParameterIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelConnectionConConnectionIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelConnectionConConnectionIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelConnectionConLoadEffectIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelConnectionConLoadEffectIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelConnectionConLoadEffectMemberLoadIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelConnectionConLoadEffectMemberLoadIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelConnectionConLoadEffectPositionEnumIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelConnectionConLoadEffectPositionEnumIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelConnectionConLoadEffectSectionLoadIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelConnectionConLoadEffectSectionLoadIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelConnectionConMemberIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelConnectionConMemberIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelConnectionConMissingWeldIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelConnectionConMissingWeldIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelConnectionConOperationIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelConnectionConOperationIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelConnectionConProductionCostIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelConnectionConProductionCostIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelParameterIdeaParameterIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelParameterIdeaParameterIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelParameterIdeaParameterUpdateIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelParameterIdeaParameterUpdateIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelProjectConProjectDataIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelProjectConProjectDataIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelProjectConProjectIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelProjectConProjectIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelResultConResultSummaryIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelResultConResultSummaryIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelSettingsConLoadingOptionsIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelSettingsConLoadingOptionsIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelTemplateBaseTemplateConversionIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelTemplateBaseTemplateConversionIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelTemplateConTemplateApplyParamIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelTemplateConTemplateApplyParamIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelTemplateConTemplateMappingGetParamIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelTemplateConTemplateMappingGetParamIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelTemplateSelectedElementIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelTemplateSelectedElementIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelTemplateTableContainerTypeIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelTemplateTableContainerTypeIdeaStatiCaPlugin.md)
 - [IdeaStatiCaPluginApiConnectionRestModelModelTemplateTemplateConversionsIdeaStatiCaPlugin](docs/IdeaStatiCaPluginApiConnectionRestModelModelTemplateTemplateConversionsIdeaStatiCaPlugin.md)
 - [MicrosoftAspNetCoreMvcOkObjectResultMicrosoftAspNetCoreMvcCore](docs/MicrosoftAspNetCoreMvcOkObjectResultMicrosoftAspNetCoreMvcCore.md)
 - [SystemIOMemoryStreamSystemPrivateCoreLib](docs/SystemIOMemoryStreamSystemPrivateCoreLib.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization

Endpoints do not require authorization.


## Author




